summaryrefslogtreecommitdiffstats
path: root/testfiles/cli_tests/compare.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testfiles/cli_tests/compare.sh')
-rw-r--r--testfiles/cli_tests/compare.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testfiles/cli_tests/compare.sh b/testfiles/cli_tests/compare.sh
new file mode 100644
index 0000000..e928da3
--- /dev/null
+++ b/testfiles/cli_tests/compare.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+file1=$1
+file2=$2
+
+test -f "${file1}" || { echo "compare.sh: First file '${file1}' not found."; exit 1; }
+test -f "${file2}" || { echo "compare.sh: Second file '${file2}' not found."; exit 1; }
+
+if ! cmp "${file1}" "${file2}"; then
+ echo "compare.sh: Files '${file1}' and '${file2}' are not identical'."
+ exit 1
+fi